View Issue Details

IDProjectCategoryView StatusLast Update
0003169GNUnetcadet servicepublic2013-12-24 20:53
ReporterChristian GrothoffAssigned ToBart Polot 
PriorityurgentSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0003169: segfault in mesh
Description==32299== Invalid read of size 4
==32299== at 0x128D7F: send_core_connection_create (gnunet-service-mesh_peer.c:419)
==32299== by 0x12A310: queue_send (gnunet-service-mesh_peer.c:824)
==32299== by 0x52BCE1F: transmit_message (core_api.c:657)
==32299== by 0x5051259: client_notify (client.c:1151)
==32299== by 0x505DE31: process_notify (connection.c:1172)
==32299== by 0x505E9D6: transmit_ready (connection.c:1303)
==32299== by 0x508DEC0: run_ready (scheduler.c:595)
==32299== by 0x508E812: GNUNET_SCHEDULER_run (scheduler.c:817)
==32299== by 0x509D60F: GNUNET_SERVICE_run (service.c:1478)
==32299== by 0x12F9A9: main (gnunet-service-mesh.c:161)
==32299== Address 0x18 is not stack'd, malloc'd or (recently) free'd
==32299==
==32299==
==32299== Process terminating with default action of signal 11 (SIGSEGV): dumping core
==32299== Access not within mapped region at address 0x18
==32299== at 0x128D7F: send_core_connection_create (gnunet-service-mesh_peer.c:419)
==32299== by 0x12A310: queue_send (gnunet-service-mesh_peer.c:824)
==32299== by 0x52BCE1F: transmit_message (core_api.c:657)
==32299== by 0x5051259: client_notify (client.c:1151)
==32299== by 0x505DE31: process_notify (connection.c:1172)
==32299== by 0x505E9D6: transmit_ready (connection.c:1303)
==32299== by 0x508DEC0: run_ready (scheduler.c:595)
==32299== by 0x508E812: GNUNET_SCHEDULER_run (scheduler.c:817)
==32299== by 0x509D60F: GNUNET_SERVICE_run (service.c:1478)
==32299== by 0x12F9A9: main (gnunet-service-mesh.c:161)
==32299== If you believe this happened as a result of a stack
==32299== overflow in your program's main thread (unlikely but
==32299== possible), you can try to increase the size of the
==32299== main thread stack using the --main-stacksize= flag.
==32299== The main thread stack size used in this run was 8388608.
Steps To Reproducegrothoff@spec:~/svn/gnunet/src/dv$ ../testbed/gnunet-testbed-profiler -c test_transport_dv_data.conf -p 10 -e 100
TagsNo tags attached.

Relationships

child of 0001795 confirmed DV is not implemented 

Activities

Bart Polot

2013-12-10 15:22

manager   ~0007827

Fixed in r31259.

Issue History

Date Modified Username Field Change
2013-12-08 21:59 Christian Grothoff New Issue
2013-12-08 21:59 Christian Grothoff Status new => assigned
2013-12-08 21:59 Christian Grothoff Assigned To => Bart Polot
2013-12-08 22:25 Christian Grothoff Relationship added child of 0001795
2013-12-10 15:22 Bart Polot Note Added: 0007827
2013-12-10 15:22 Bart Polot Status assigned => resolved
2013-12-10 15:22 Bart Polot Fixed in Version => SVN HEAD
2013-12-10 15:22 Bart Polot Resolution open => fixed
2013-12-10 15:56 Christian Grothoff Fixed in Version SVN HEAD => 0.10.0
2013-12-24 20:53 Christian Grothoff Status resolved => closed
2014-05-09 18:34 Christian Grothoff Category mesh service => cadet service